package de.dass_it.vanhelsing.gui.items;

public class DirectorItem extends ItemType implements UserObjectItem{
	private String name;
	private String description;
	private String password;
	private String messages;
	private String workingdirectory;
	private String piddirectory;
	private String scriptsdirectory;
	private String queryfile;
	private String heartbeatinterval;
	private String maximumconcurrentjobs;
	private String fdconnecttimeout;
	private String sdconnecttimeout;
	private String diraddresses;
	private String dirport;
	private String diraddress;
	private String dirsourceaddress;
	private String statisticsretention;
	private String verid;
	private String maxconsoleconnections;

	 public DirectorItem(){}

	 public DirectorItem(String name, String password, String messages, String workingdirectory, 
			 String piddrectory, String queryfile){
		
	 }

	/**
	 * @return
	 * @uml.property  name="name"
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name
	 * @uml.property  name="name"
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return
	 * @uml.property  name="description"
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @param description
	 * @uml.property  name="description"
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	/**
	 * @return
	 * @uml.property  name="password"
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * @param password
	 * @uml.property  name="password"
	 */
	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 * @return
	 * @uml.property  name="messages"
	 */
	public String getMessages() {
		return messages;
	}

	/**
	 * @param messages
	 * @uml.property  name="messages"
	 */
	public void setMessages(String messages) {
		this.messages = messages;
	}

	/**
	 * @return
	 * @uml.property  name="workingdirectory"
	 */
	public String getWorkingdirectory() {
		return workingdirectory;
	}

	/**
	 * @param workingdirectory
	 * @uml.property  name="workingdirectory"
	 */
	public void setWorkingdirectory(String workingdirectory) {
		this.workingdirectory = workingdirectory;
	}

	/**
	 * @return
	 * @uml.property  name="piddirectory"
	 */
	public String getPiddirectory() {
		return piddirectory;
	}

	/**
	 * @param piddirectory
	 * @uml.property  name="piddirectory"
	 */
	public void setPiddirectory(String piddirectory) {
		this.piddirectory = piddirectory;
	}

	/**
	 * @return
	 * @uml.property  name="scriptsdirectory"
	 */
	public String getScriptsdirectory() {
		return scriptsdirectory;
	}

	/**
	 * @param scriptsdirectory
	 * @uml.property  name="scriptsdirectory"
	 */
	public void setScriptsdirectory(String scriptsdirectory) {
		this.scriptsdirectory = scriptsdirectory;
	}

	/**
	 * @return
	 * @uml.property  name="queryfile"
	 */
	public String getQueryfile() {
		return queryfile;
	}

	/**
	 * @param queryfile
	 * @uml.property  name="queryfile"
	 */
	public void setQueryfile(String queryfile) {
		this.queryfile = queryfile;
	}

	/**
	 * @return
	 * @uml.property  name="heartbeatinterval"
	 */
	public String getHeartbeatinterval() {
		return heartbeatinterval;
	}

	/**
	 * @param heartbeatinterval
	 * @uml.property  name="heartbeatinterval"
	 */
	public void setHeartbeatinterval(String heartbeatinterval) {
		this.heartbeatinterval = heartbeatinterval;
	}

	/**
	 * @return
	 * @uml.property  name="maximumconcurrentjobs"
	 */
	public String getMaximumconcurrentjobs() {
		return maximumconcurrentjobs;
	}

	/**
	 * @param maximumconcurrentjobs
	 * @uml.property  name="maximumconcurrentjobs"
	 */
	public void setMaximumconcurrentjobs(String maximumconcurrentjobs) {
		this.maximumconcurrentjobs = maximumconcurrentjobs;
	}

	/**
	 * @return
	 * @uml.property  name="fdconnecttimeout"
	 */
	public String getFdconnecttimeout() {
		return fdconnecttimeout;
	}

	/**
	 * @param fdconnecttimeout
	 * @uml.property  name="fdconnecttimeout"
	 */
	public void setFdconnecttimeout(String fdconnecttimeout) {
		this.fdconnecttimeout = fdconnecttimeout;
	}

	/**
	 * @return
	 * @uml.property  name="sdconnecttimeout"
	 */
	public String getSdconnecttimeout() {
		return sdconnecttimeout;
	}

	/**
	 * @param sdconnecttimeout
	 * @uml.property  name="sdconnecttimeout"
	 */
	public void setSdconnecttimeout(String sdconnecttimeout) {
		this.sdconnecttimeout = sdconnecttimeout;
	}

	/**
	 * @return
	 * @uml.property  name="diraddresses"
	 */
	public String getDiraddresses() {
		return diraddresses;
	}

	/**
	 * @param diraddresses
	 * @uml.property  name="diraddresses"
	 */
	public void setDiraddresses(String diraddresses) {
		this.diraddresses = diraddresses;
	}

	/**
	 * @return
	 * @uml.property  name="dirport"
	 */
	public String getDirport() {
		return dirport;
	}

	/**
	 * @param dirport
	 * @uml.property  name="dirport"
	 */
	public void setDirport(String dirport) {
		this.dirport = dirport;
	}

	/**
	 * @return
	 * @uml.property  name="diraddress"
	 */
	public String getDiraddress() {
		return diraddress;
	}

	/**
	 * @param diraddress
	 * @uml.property  name="diraddress"
	 */
	public void setDiraddress(String diraddress) {
		this.diraddress = diraddress;
	}

	/**
	 * @return
	 * @uml.property  name="dirsourceaddress"
	 */
	public String getDirsourceaddress() {
		return dirsourceaddress;
	}

	/**
	 * @param dirsourceaddress
	 * @uml.property  name="dirsourceaddress"
	 */
	public void setDirsourceaddress(String dirsourceaddress) {
		this.dirsourceaddress = dirsourceaddress;
	}

	/**
	 * @return
	 * @uml.property  name="statisticsretention"
	 */
	public String getStatisticsretention() {
		return statisticsretention;
	}

	/**
	 * @param statisticsretention
	 * @uml.property  name="statisticsretention"
	 */
	public void setStatisticsretention(String statisticsretention) {
		this.statisticsretention = statisticsretention;
	}

	/**
	 * @return
	 * @uml.property  name="verid"
	 */
	public String getVerid() {
		return verid;
	}

	/**
	 * @param verid
	 * @uml.property  name="verid"
	 */
	public void setVerid(String verid) {
		this.verid = verid;
	}

	/**
	 * @return
	 * @uml.property  name="maxconsoleconnections"
	 */
	public String getMaxconsoleconnections() {
		return maxconsoleconnections;
	}

	/**
	 * @param maxconsoleconnections
	 * @uml.property  name="maxconsoleconnections"
	 */
	public void setMaxconsoleconnections(String maxconsoleconnections) {
		this.maxconsoleconnections = maxconsoleconnections;
	}




}
